# SignTypedData

## Properties

| Name     | Type    | Description | Notes |
| -------- | ------- | ----------- | ----- |
| **data** | **str** |             |       |

## Example

```python
from moonsdk.models.sign_typed_data import SignTypedData

# TODO update the JSON string below
json = "{}"
# create an instance of SignTypedData from a JSON string
sign_typed_data_instance = SignTypedData.from_json(json)
# print the JSON string representation of the object
print(SignTypedData.to_json())

# convert the object into a dict
sign_typed_data_dict = sign_typed_data_instance.to_dict()
# create an instance of SignTypedData from a dict
sign_typed_data_form_dict = sign_typed_data.from_dict(sign_typed_data_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/signtypeddata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
